<div class="row">
    <div class="col-md-2"></div>
    <div class="col-md-8">
        <div class="row">
            <div class="col">
                <div class="alert alert-box" role="alert">
                    <button type="button" class="btn btn-outline-secondary noprint" style="float:left;" (click)="goToBack()">
                        <span aria-hidden="true" class="oi oi-chevron-left icon-header mr-30"></span>
                    </button>
                    <h3>{{title}}</h3>
                </div>
            </div>
        </div>
        <form #detailFormRef="ngForm" name="mydetailForm" id="detailForm" (ngSubmit)="onSubmit()">
            <!--------------------------------------------------------------------------------------------------------------------------->
            <div class="row">
                <div class="col">
                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label class=" font-weight-bold">Data Inserimento: </label>
                                <input name="insertDate" type="datetime"
                                    [ngModel]="model._insertDate | date: 'dd/MM/yyyy' " class="form-control" disabled>

                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label class=" font-weight-bold">Data Competenza: </label>
                                <input name="competenceDate" type="datetime"
                                    [ngModel]="model._competenceDate  | date: 'dd/MM/yyyy' " class="form-control"
                                    disabled>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label class=" font-weight-bold">Numero Rilievo: </label>
                                <input name="number" [ngModel]="model.id" type="text" class="form-control" disabled>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <!------------------------------------------------------------------------------------------------------------------------>
            <hr>
            <div class="row">
                <div class="col">
                    <div class="form-group">
                        <label class=" font-weight-bold">Filiale: </label>
                        <div class="form-group">
                            <ng-select [items]="[]" name="branch" style="width: 100%" bindLabel="full"
                                placeholder="Seleziona Filiale" notFoundText="Nessun Risultato" disabled
                                [(ngModel)]="model.branch" #BranchRef="ngModel" required>
                            </ng-select>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="form-group">
                        <label class=" font-weight-bold">Frazionario Up: </label>
                        <input [ngModel]="model?.fractional" name="fractional" type="text" class="form-control"
                            disabled>
                    </div>
                </div>
                
                <div class="col">
                    <div class="form-group">
                        <label class=" font-weight-bold">Denominazione Up: </label>
                        <ng-select
                                    [ngClass]="{'has-errorSelect' : (OfficeRef.invalid && (OfficeRef.dirty || OfficeRef.touched))}"
                                    [items]="[]" name="office" style="width: 100%"
                                    disabled
                                    bindLabel="fractionalDescription" placeholder="Seleziona Denominazione"
                                    notFoundText="Nessun Risultato"
                                    [(ngModel)]="model.office" #OfficeRef="ngModel" required>
                                </ng-select>
                    </div>
                </div>
            </div>
            <!----------------------------------------------------------------------------------------------------------------------------------------------------------------->
            <hr>
            <div class="row">
                <div class="col">
                    <div class="form-group">
                        <label class=" font-weight-bold">Voce Daco: </label>
                        <ng-select                                   
                                    [items]="[]" name="daco" style="width: 100%;"
                                    bindLabel="full"
                                    placeholder="Seleziona Daco" notFoundText="Nessun Risultato" [(ngModel)]="model.daco"
                                    #dacoRef="ngModel" disabled>
                                </ng-select>     
                    </div>
                </div>
                <div class="col">
                    <div class="form-group">
                        <label class=" font-weight-bold">Servizio: </label>
                        <ng-select [items]="model.daco?.services" name="service" style="width: 100%" bindLabel="full"
                        placeholder="Nessun Servizio"disabled
                        notFoundText="Nessun Risultato" [(ngModel)]="model.service" #serviceRef="ngModel">
                    </ng-select>
                    </div>
                </div>
                <div class="col">
                    <!--div class="form-group">
                        <label class=" font-weight-bold">Codice Contabile: </label>
                        <input name="accountNumber" [ngModel]="model?.daco?.accountNumberFull" type="text"
                            class="form-control" disabled>
                    </div-->
                </div>
                
            </div>
            <!---------------------------------------------------------------------------------------------------------------------------------------------------------------->
            <hr>
            <div class="row">
                <div class="col">
                    <label class="font-weight-bold textSize">{{labelCredit}}</label>
                </div>
                <div class="col">
                    <label class="font-weight-bold textSize">{{labelDebit}}</label>
                </div>
                <div class="col">
                </div>
            </div>
            <!-------------------------------------------------------------------------------------------------------------------------------->
            <div class="row">
                <div class="col">
                    <div class="form-group">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>€</strong></div>
                            </div>
                            <input name="creditAmount" [ngModel]="model?.creditAmount" class="form-control" disabled>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="form-group">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>€</strong></div>
                            </div>
                            <input name="debitAmount" [ngModel]="model.debitAmount" class="form-control" disabled>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="form-group">
                        <!--   <button type="button" class="btn btn-primary label"
                            (click)="openAttachmentsModal(templateAttachments)">Allegati
                            ({{model.attachments.length}})</button>
                        <label class="labelHidden" id="toPrint"> Allegati ({{model.attachments.length}})</label>-->


                        <button type="button" class="btn btn-primary btn-sm label"
                            (click)="openAttachmentsModal(AttachmentComponet)">Allegati
                            ({{totalAttachments}})</button>
                        <label class="labelHidden" id="toPrint"> Allegati ({{totalAttachments}})</label>
                    </div>
                </div>
            </div>
            <!---------------------------------------------------------------------------------------------------------------------------------------->
            <hr>
            <div class="row">
                <div class="col">
                    <div class="form-group">
                        <label class="font-weight-bold">Causale Rilievo: </label>
                        <ng-select                                   
                        [items]="[]" name="reason" style="width: 100%"
                        bindLabel="full"
                        notFoundText="Nessuna Causale" [(ngModel)]="model.reason"
                        #dacoRef="ngModel" disabled>
                    </ng-select>     
                    </div>
                </div>
                <div class="col">
                    <div class="form-group" *ngIf="model.idParent || model.idChild">
                        <label class="font-weight-bold">
                            <div *ngIf="model.idParent; then LabelParent else LabelChild"></div>
                        </label>
                        <ng-template #LabelParent>Nr. Rilievo Origine</ng-template>
                        <ng-template #LabelChild>Nr. Rilievo Generato</ng-template>
                        <div class="input-group form-group ">
                            <input type="text" class="form-control " name="generated"
                                value="{{model.idParent ? model.idParent : model.idChild}}" maxlength="20" disabled>
                        </div>
                    </div>
                </div>
                <div class="col"></div>
            </div>
            <!----------------------------------------------------------------------------------------------------------------------------------------->
            <hr>
            <div class="row">
                <div class="col">
                    <div class="form-group">
                        <label class=" font-weight-bold">Descrizione: </label>
                        <textarea name="description"  [ngModel]="model.description" class="form-control label" rows="3"
                            disabled></textarea>

                            <textarea class="labelHidden" id="toPrintDescr" rows="10"> {{model.description}}</textarea>
                    </div>
                </div>
            </div>
            <!----------------------------------------------------------------------------------------------------------------------------------------->
            <hr class="noprint">
            <div class="row noprint">

                <div class="col">
                    <button type="button" (click)="print()"
                        class="btn btn-success btn-sm size buttonConfirm">Stampa</button>

                </div>
            </div>
        </form>
    </div>
    <div class="col-md-2"></div>
</div>
<ng-template #AttachmentComponet>
    <app-attachment [evaluation-id]="model.id" [attachments]="totalAttachments"
        (numberAttachmentsChanged)="updateTotalAttachments($event)" [modalRef]="modalRef"></app-attachment>
</ng-template>
<br>